version: '3.7'
services:
  dev_vendingmachine:
    build: .
    environment:
      # Adjust to your screen size
      - DISPLAY_WIDTH=1600
      - DISPLAY_HEIGHT=968
      - RUN_XTERM=yes
    ports:
      - "8080:8080"
    volumes:
      - .:/home/experience/vendingmachine
    networks:
      - x11
networks:
  x11:

